Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v3.refdata
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.refdata.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v3.refdata package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.refdata

Method Summary
`AppendixKeyType` | `createAppendixKeyType()` Create an instance of `AppendixKeyType`
`AtcClassificationKeyType` | `createAtcClassificationKeyType()` Create an instance of `AtcClassificationKeyType`
`DeliveryModusKeyType` | `createDeliveryModusKeyType()` Create an instance of `DeliveryModusKeyType`
`DeliveryModusSpecificationKeyType` | `createDeliveryModusSpecificationKeyType()` Create an instance of `DeliveryModusSpecificationKeyType`
`DeviceTypeKeyType` | `createDeviceTypeKeyType()` Create an instance of `DeviceTypeKeyType`
`FormCategoryKeyType` | `createFormCategoryKeyType()` Create an instance of `FormCategoryKeyType`
`NoGenericPrescriptionReasonKeyType` | `createNoGenericPrescriptionReasonKeyType()` Create an instance of `NoGenericPrescriptionReasonKeyType`
`NoSwitchReasonKeyType` | `createNoSwitchReasonKeyType()` Create an instance of `NoSwitchReasonKeyType`
`PackagingClosureKeyType` | `createPackagingClosureKeyType()` Create an instance of `PackagingClosureKeyType`
`PackagingMaterialKeyType` | `createPackagingMaterialKeyType()` Create an instance of `PackagingMaterialKeyType`
`PackagingTypeKeyType` | `createPackagingTypeKeyType()` Create an instance of `PackagingTypeKeyType`
`PharmaceuticalFormKeyType` | `createPharmaceuticalFormKeyType()` Create an instance of `PharmaceuticalFormKeyType`
`ReimbursementCriterionKeyType` | `createReimbursementCriterionKeyType()` Create an instance of `ReimbursementCriterionKeyType`
`RouteOfAdministrationKeyType` | `createRouteOfAdministrationKeyType()` Create an instance of `RouteOfAdministrationKeyType`
`StandardUnitKeyFamhpType` | `createStandardUnitKeyFamhpType()` Create an instance of `StandardUnitKeyFamhpType`
`SubstanceKeyType` | `createSubstanceKeyType()` Create an instance of `SubstanceKeyType`
`VirtualFormKeyType` | `createVirtualFormKeyType()` Create an instance of `VirtualFormKeyType`
`WadaKeyType` | `createWadaKeyType()` Create an instance of `WadaKeyType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.refdata

Method Detail

### createWadaKeyType

    public WadaKeyType createWadaKeyType()

  Create an instance of `WadaKeyType`

### createVirtualFormKeyType

    public VirtualFormKeyType createVirtualFormKeyType()

  Create an instance of `VirtualFormKeyType`

### createReimbursementCriterionKeyType

    public ReimbursementCriterionKeyType createReimbursementCriterionKeyType()

  Create an instance of `ReimbursementCriterionKeyType`

### createDeliveryModusKeyType

    public DeliveryModusKeyType createDeliveryModusKeyType()

  Create an instance of `DeliveryModusKeyType`

### createNoGenericPrescriptionReasonKeyType

    public NoGenericPrescriptionReasonKeyType createNoGenericPrescriptionReasonKeyType()

  Create an instance of `NoGenericPrescriptionReasonKeyType`

### createNoSwitchReasonKeyType

    public NoSwitchReasonKeyType createNoSwitchReasonKeyType()

  Create an instance of `NoSwitchReasonKeyType`

### createRouteOfAdministrationKeyType

    public RouteOfAdministrationKeyType createRouteOfAdministrationKeyType()

  Create an instance of `RouteOfAdministrationKeyType`

### createPharmaceuticalFormKeyType

    public PharmaceuticalFormKeyType createPharmaceuticalFormKeyType()

  Create an instance of `PharmaceuticalFormKeyType`

### createSubstanceKeyType

    public SubstanceKeyType createSubstanceKeyType()

  Create an instance of `SubstanceKeyType`

### createAtcClassificationKeyType

    public AtcClassificationKeyType createAtcClassificationKeyType()

  Create an instance of `AtcClassificationKeyType`

### createDeliveryModusSpecificationKeyType

    public DeliveryModusSpecificationKeyType createDeliveryModusSpecificationKeyType()

  Create an instance of `DeliveryModusSpecificationKeyType`

### createPackagingTypeKeyType

    public PackagingTypeKeyType createPackagingTypeKeyType()

  Create an instance of `PackagingTypeKeyType`

### createDeviceTypeKeyType

    public DeviceTypeKeyType createDeviceTypeKeyType()

  Create an instance of `DeviceTypeKeyType`

### createPackagingClosureKeyType

    public PackagingClosureKeyType createPackagingClosureKeyType()

  Create an instance of `PackagingClosureKeyType`

### createPackagingMaterialKeyType

    public PackagingMaterialKeyType createPackagingMaterialKeyType()

  Create an instance of `PackagingMaterialKeyType`

### createAppendixKeyType

    public AppendixKeyType createAppendixKeyType()

  Create an instance of `AppendixKeyType`

### createFormCategoryKeyType

    public FormCategoryKeyType createFormCategoryKeyType()

  Create an instance of `FormCategoryKeyType`

### createStandardUnitKeyFamhpType

    public StandardUnitKeyFamhpType createStandardUnitKeyFamhpType()

  Create an instance of `StandardUnitKeyFamhpType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.